
QGIS Application - Bug report #6735

Changes in table attribute causes "Invalid Field Index" error when trying to save

2012-11-20 02:44 AM - Alexandre Neto

Status: Closed

Priority: High

Assignee:
Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:Yes Copied to github as #: 15899

Description

I'm using, QGIS 1.8 6416f38, in a Windows Vista 32bit Machine. Changes in table attribute causes "Invalid Field Index" error when trying

to save.

The error occurs doing the following steps:

- Open editing;

- Create new field; # Ups... not the field type I wanted

- DO NOT SAVE;

- Erase the same field;

- Save edition.

QGIS is enable to save the changes trowing the following error:

Could not commit changes to layer teste2

  Errors: ERROR: 1 attribute(s) not deleted.

  SUCCESS: 1 attribute(s) added.

  SUCCESS: 1 attribute value(s) changed.

  Provider errors:

  OGR error deleting field 1: Invalid field index

The error only occurs when deleting a recent created fields.

After that, the shapefile index seems to be messed up and data edited in new fields may keep throwing errors, or even be lost.

I haven't tried in a Linux machine.

WORKAROUND: Always save editing immediately after creating a new field.

History

#1 - 2012-11-20 03:07 AM - Alexandre Neto

I have tried in Xubuntu (OSGEO Live 6) and the same issue occurs.

#2 - 2012-11-20 03:08 AM - Giovanni Manghi
Alexandre Neto wrote:

I have tried in Xubuntu (OSGEO Live 6) and the same issue occurs.

Hi Alexandre, does this happen also on master or 1.7.4 (looking for a possible fix/regression)?

#3 - 2012-11-20 05:22 AM - Andre Joost

Giovanni Manghi wrote:

Hi Alexandre, does this happen also on master or 1.7.4 (looking for a possible fix/regression)?

I'm not Alexandre, but can confirm the bug for master on Windows XP.

The table manager plugin does the operation without throwing errors.

#4 - 2012-11-21 06:12 AM - Alexandre Neto

I had the chance to try in a 1.7.0 Installation. The problem was not replicable, as in 1.7 was not possible to delete attributes in the attribute table window.

#5 - 2012-12-30 09:46 AM - Giovanni Manghi

- Priority changed from Normal to High

#6 - 2013-06-02 07:56 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

seems fixed on master, reopen if necessary.
